﻿/**Begin C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\MRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_ANALYSISOBJ') 
 CREATE TABLE T_MRM_ANALYSISOBJ (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FISAUTOUPDATE CHAR(1) DEFAULT '0' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FDRAFTTIME DATETIME,
FDRAFTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAFTID BIGINT DEFAULT 0 NOT NULL,
FOBJTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_ANALYSISOBJ_ENTRY') 
 CREATE TABLE T_MRM_ANALYSISOBJ_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDRAFTDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_ANALYSISOBJ_L') 
 CREATE TABLE T_MRM_ANALYSISOBJ_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_ANALYSISOBJ_SCHEME') 
 CREATE TABLE T_MRM_ANALYSISOBJ_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FOBJNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOBJNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOBJCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISAUTOUPDATE CHAR(1) DEFAULT '0' NOT NULL,
FILTERCONDITIONSTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FILTERCONDITIONSTR_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_ANALYSISOBJ_SCHEME_L') 
 CREATE TABLE T_MRM_ANALYSISOBJ_SCHEME_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_LOG') 
 CREATE TABLE T_MRM_RATE_DRAFT_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FEXECTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FSTARTTIME DATETIME,
FEXECOBJTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGINFO_TAG NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT') 
 CREATE TABLE T_MRM_RATE_DRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAFTCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_CFG') 
 CREATE TABLE T_MRM_RATE_DRAFT_CFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FEXECPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSHEDULEPLANID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_CFG_L') 
 CREATE TABLE T_MRM_RATE_DRAFT_CFG_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_CFG_RULE') 
 CREATE TABLE T_MRM_RATE_DRAFT_CFG_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRULETEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILL NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_DATA') 
 CREATE TABLE T_MRM_RATE_DRAFT_DATA (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATASOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBIZSTAUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTERPARTYTEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FINTERESTDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FRATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIXRATE DECIMAL(23,4) DEFAULT 0 NOT NULL,
FREFERENCERATEID BIGINT DEFAULT 0 NOT NULL,
FRATEDRAFTID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FBASEPOINT DECIMAL(23,4) DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREDICT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_DATA_ADJ') 
 CREATE TABLE T_MRM_RATE_DRAFT_DATA_ADJ (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_DATA_CAP') 
 CREATE TABLE T_MRM_RATE_DRAFT_DATA_CAP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_DATA_IN') 
 CREATE TABLE T_MRM_RATE_DRAFT_DATA_IN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_DATA_P') 
 CREATE TABLE T_MRM_RATE_DRAFT_DATA_P (
FID BIGINT DEFAULT 0 NOT NULL,
FPUBLISHPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTICKETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATEADJUSTDATE DATETIME,
FRATEADJUSTCYCLETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEADJUSTCYCLE BIGINT DEFAULT 0 NOT NULL,
FREPAYMENTWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSETTLEINTMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FISSOFRRATE CHAR(1) DEFAULT '0' NOT NULL,
FISCALLCOMPINT CHAR(1) DEFAULT '0' NOT NULL,
FCALCINTWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTPOSITIONTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOOKBACKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTCALMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANEXPIREADJUSTRULE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYINTADJUSTRULE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATERESETADJUSTRULE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATERESETDAYS BIGINT DEFAULT 0 NOT NULL,
FPLANREVENUE DECIMAL(23,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_DATA_SIN') 
 CREATE TABLE T_MRM_RATE_DRAFT_DATA_SIN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCONFIRMRATEDATE DATETIME,
FINTERESTSTARTDATE DATETIME,
FINTERESTENDDATE DATETIME,
FINTERESTDATES BIGINT DEFAULT 0 NOT NULL,
FINTERESTBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTDAYS BIGINT DEFAULT 0 NOT NULL,
FINTERESTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFLOATINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOATRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTTOTALINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTOTALINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOOKDAYS DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_RATE_DRAFT_DATA_WD') 
 CREATE TABLE T_MRM_RATE_DRAFT_DATA_WD (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_GAP_ANALYSIS_DETAIL') 
 CREATE TABLE T_MRM_GAP_ANALYSIS_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSECTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FSECTIONINDEX BIGINT DEFAULT 0 NOT NULL,
FSUBJECTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_GAP_ANALYSIS_OBJ') 
 CREATE TABLE T_MRM_GAP_ANALYSIS_OBJ (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_GAPANALYSISDETAIL_E') 
 CREATE TABLE T_MRM_GAPANALYSISDETAIL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCAPCASHFLOWNO BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRULEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGAPAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGAPDATE DATETIME,
FNEXTDATE DATETIME,
FENTRYCURRENCY BIGINT DEFAULT 0 NOT NULL,
FDRAFTDATAID BIGINT DEFAULT 0 NOT NULL,
FDATATYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVIEWDRAFTDATA NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_GAP_ANALYSISOBJTIME') 
 CREATE TABLE T_MRM_GAP_ANALYSISOBJTIME (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FE_FUTUREANALYSISOBJID BIGINT DEFAULT 0 NOT NULL,
FE_FUTUREANALYSISOBJTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_GAP_ANALYSIS') 
 CREATE TABLE T_MRM_GAP_ANALYSIS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPORTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFOREXQUOTEID BIGINT DEFAULT 0 NOT NULL,
FSUBJECTSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FSECTIONCFGID BIGINT DEFAULT 0 NOT NULL,
FCURRENTANALYSISOBJID BIGINT DEFAULT 0 NOT NULL,
FAMTUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMTCOLUMNTITLES NVARCHAR(512) DEFAULT ' ' NOT NULL,
FFOREXQUOTETIME DATETIME,
FSUBJECTSYSTEMTIME DATETIME,
FSECTIONCFGTIME DATETIME,
FCURRENTANALYSISOBTIME DATETIME,
FDRAFTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SEN_ANALYSIS_DETAIL') 
 CREATE TABLE T_MRM_SEN_ANALYSIS_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSECTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSECTIONINDEX BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FSUBJECTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENSITIVITYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSENSITIVITYANALYSISID BIGINT DEFAULT 0 NOT NULL,
FSCENARIOSIMULATIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SENANALYSISDETAIL_E') 
 CREATE TABLE T_MRM_SENANALYSISDETAIL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDATATYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEFOREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHANGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDRAFTDATA BIGINT DEFAULT 0 NOT NULL,
FENTRYCURRENCY BIGINT DEFAULT 0 NOT NULL,
FCAPCASHFLOWNO BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FNEXTDATE DATETIME,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRULEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGAPAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONDITION NVARCHAR(512) DEFAULT ' ' NOT NULL,
FVIEWDRAFTDATA NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SENSITIVITY_SS') 
 CREATE TABLE T_MRM_SENSITIVITY_SS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SENSITIVITY_SCETIME') 
 CREATE TABLE T_MRM_SENSITIVITY_SCETIME (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FE_SCENARIOSIMULATIONID BIGINT DEFAULT 0 NOT NULL,
FE_SCENARIOSIMULATIONTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SENSITIVITY') 
 CREATE TABLE T_MRM_SENSITIVITY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTEXTFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGAPANALYSISLD BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FFOREXQUOTEID BIGINT DEFAULT 0 NOT NULL,
FAMTUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCENARIOTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGAPUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTANALYSISOBJID BIGINT DEFAULT 0 NOT NULL,
FREPORTTITILES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFOREXQUOTETIME DATETIME,
FGAPANALYSISTIME DATETIME,
FDRAFTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_SIMULATION_L') 
 CREATE TABLE T_MRM_SCENARIO_SIMULATION_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_REFRATE1') 
 CREATE TABLE T_MRM_SCENARIO_REFRATE1 (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_REFRATE2') 
 CREATE TABLE T_MRM_SCENARIO_REFRATE2 (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_REFRATE3') 
 CREATE TABLE T_MRM_SCENARIO_REFRATE3 (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_SIM_ENTRY1') 
 CREATE TABLE T_MRM_SCENARIO_SIM_ENTRY1 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FE_UPORDOWN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FE_BP DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_SIM_ENTRY2') 
 CREATE TABLE T_MRM_SCENARIO_SIM_ENTRY2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FE_YIELDCURVE BIGINT DEFAULT 0 NOT NULL,
FE_UPORDOWN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FE_BP DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_SIM_ENTRY3') 
 CREATE TABLE T_MRM_SCENARIO_SIM_ENTRY3 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FE_YIELDCURVE BIGINT DEFAULT 0 NOT NULL,
FE_ISSTANDARD CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_SIM_ENTRY4') 
 CREATE TABLE T_MRM_SCENARIO_SIM_ENTRY4 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSECTIONDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEFT BIGINT DEFAULT 0 NOT NULL,
FUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISCONTAINS CHAR(1) DEFAULT '0' NOT NULL,
FE_UPORDOWN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FE_BP DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SCENARIO_SIMULATION') 
 CREATE TABLE T_MRM_SCENARIO_SIMULATION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FSCENARIOTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYIELDCURVE BIGINT DEFAULT 0 NOT NULL,
FRATECHANGEMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEUPORDOWN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEBP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBYRATE CHAR(1) DEFAULT '0' NOT NULL,
FYIELDCURVEUPORDOWN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYIELDCURVEBP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYIELDCURVEBYRATE CHAR(1) DEFAULT '0' NOT NULL,
FBYRATE2 CHAR(1) DEFAULT '0' NOT NULL,
FGAPUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATESLOWLYUPORDOWN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATESLOWLYBP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECTIONCOUNT BIGINT DEFAULT 0 NOT NULL,
FGAP BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SECTION_CFG') 
 CREATE TABLE T_MRM_SECTION_CFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FSECTIONCOUNT BIGINT DEFAULT 0 NOT NULL,
FGAPUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGAP BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SECTION_CFG_ENTRY') 
 CREATE TABLE T_MRM_SECTION_CFG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSECTIONDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEFT BIGINT DEFAULT 0 NOT NULL,
FUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISCONTAINS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SECTION_CFG_L') 
 CREATE TABLE T_MRM_SECTION_CFG_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SUBJECT') 
 CREATE TABLE T_MRM_SUBJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SUBJECT_L') 
 CREATE TABLE T_MRM_SUBJECT_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SUBJECTSYSTEM') 
 CREATE TABLE T_MRM_SUBJECTSYSTEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SUBJECTSYSTEM_ENTRY') 
 CREATE TABLE T_MRM_SUBJECTSYSTEM_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUBJECT BIGINT DEFAULT 0 NOT NULL,
FDIRECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPING NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAPPING_TAG NCLOB,
FMODIFYDATE DATETIME,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FORDERNUM NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_SUBJECTSYSTEM_L') 
 CREATE TABLE T_MRM_SUBJECTSYSTEM_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\MRM_table.sql **/
