/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_BIZOPEN') 
 CREATE TABLE T_MRM_BIZOPEN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT BIGINT DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FVALDATE DATETIME,
FISEXCRATELOCK CHAR(1) DEFAULT ' ' NOT NULL,
FEXRATELOCKDATE DATETIME,
FLOCKEXRATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFEERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADDNUMER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROTECTTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFINDEX BIGINT DEFAULT 0 NOT NULL,
FDIRECTION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOWRISKID BIGINT DEFAULT 0 NOT NULL,
FACCEPTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPENTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDISCRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEUSERID BIGINT DEFAULT 0 NOT NULL,
FACCEPTDATE DATETIME,
FACCEPTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FACCEPTEXPIREDATE DATETIME,
FISSUEFEE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FLOCKAMT DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FUNLOCKAMT DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FTONNAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSUEDATE DATETIME,
FCONTRACTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_BIZOPEN_L') 
 CREATE TABLE T_MRM_BIZOPEN_L (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_BIZOPENUSE') 
 CREATE TABLE T_MRM_BIZOPENUSE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZOPEN BIGINT DEFAULT 0 NOT NULL,
FTRADEBILLID BIGINT DEFAULT 0 NOT NULL,
FUSEAMOUNT DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_PORTFOLIO') 
 CREATE TABLE T_MRM_PORTFOLIO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_PORTFOLIO_ENTRYS') 
 CREATE TABLE T_MRM_PORTFOLIO_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRODUCTTYPEID BIGINT DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FSETTLEDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTRADEDIRECT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_PORTFOLIO_L') 
 CREATE TABLE T_MRM_PORTFOLIO_L (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MRM_table.sql **/
